-- $Name:Namegen$
instead_version "2.2.0"
require "dash"
require "para"
require "quotes"
require "theme"

function srnd(array)
    local count = 0
    for _ in pairs(array) do
        count = count + 1
    end
    return array[rnd(count)];
end

global {

s = {'ах', 'ак', 'ад', 'эйж', 'алд', 'эль', 'эн', 'энг', 'ар', 'ард',
        'ас', 'аш', 'ат', 'aw', 'бан', 'бел', 'бур', 'цер',
        'ча', 'че', 'дэн', 'дар', 'дел', 'ден', 'дра', 'дин', 'ех', 'елд',
        'эльм', 'ем', 'ен', 'енд', 'енг', 'ент', 'ер', 'есс', 'ест', 'ет',
        'гар', 'гха', 'хат', 'хин', 'хон', 'иа', 'айт', 'айлд', 'им', 'ина',
        'айн', 'инг', 'ир', 'ис', 'исс', 'ит', 'кал', 'кел', 'ким', 'кин',
        'лер', 'лор', 'лье', 'мор', 'мос', 'нал', 'най', 'найс', 'олд', 'ом',
        'он', 'ор', 'орм', 'ос', 'пер', 'пол', 'ква', 'рад',
        'рак', 'ран', 'рэй', 'рил', 'рис', 'род', 'рот', 'райн', 'сэм',
        'сей', 'сер', 'шай', 'скел', 'сул', 'тай', 'тан', 'тас', 'тер',
        'тиа', 'тин', 'тон', 'тор', 'тур', 'ум', 'унд', 'унт', 'урн', 'уск',
        'уст', 'вер', 'вес', 'вар', 'вор', 'вер'},
v = {'а', 'е', 'и', 'о', 'у', 'ю'},
c = {'б', 'в', 'г', 'д', 'ж', 'з', 'к', 'л', 'м', 'н', 'п', 'р', 'с', 'т', 'ф', 'ч'},
B = {'Б', 'Бл', 'Бр', 'С', 'Ч', 'Кр', 'Кл', 'Д', 'Др', 'Ф', 'Г',
        'Х', 'Дж', 'К', 'Л', 'М', 'Н', 'Р', 'Ф', 'Кв', 'Р', 'С',
        'Щ', 'Ш', 'Сл', 'См', 'Сн', 'Ст', 'Стр', 'Св', 'Т', 'Тр',
        'В', 'Й', 'З', 'Ж'},
V = {'А', 'Е', 'И', 'О', 'У', 'Ю'},


}






function srnd(array)
    local count = 0
    for _ in pairs(array) do
        count = count + 1
    end
    return array[rnd(count)];
end

main = room {
	forcedsc = false;
	nam = 'Имена';
	dsc = function()
	for ty=1,10 do
		pn(srnd(B) .. srnd(v) .. srnd(s))
	end
	for ty=1,10 do
		pn(srnd(V) .. srnd(s) .. srnd(v))
	end

	end;
};
